Subject: Re: linux-next: duplicate patches in the vhost tree

From: "Michael S. Tsirkin" <[email-masked]>
Date: Thu, 9 Jan 2025 02:45:41 -0500

On Wed, Jan 08, 2025 at 09:23:55PM -0800, Andrew Morton wrote:
> On Thu, 9 Jan 2025 14:40:54 +1100 Stephen Rothwell <[email-masked]> wrote:
> 
> > Hi all,
> > 
> > The following commits are also in the mm tree as different commits
> > (but the same patches):
> > 
> >   e981e8d8b23e ("s390/kdump: virtio-mem kdump support (CONFIG_PROC_VMCORE_DEVICE_RAM)")
> >   a4bba3b65c20 ("virtio-mem: support CONFIG_PROC_VMCORE_DEVICE_RAM")
> >   b9ad8a711a3c ("virtio-mem: remember usable region size")
> >   a8328b40b3b0 ("virtio-mem: mark device ready before registering callbacks in kdump mode")
> >   ef78030ec96f ("fs/proc/vmcore: introduce PROC_VMCORE_DEVICE_RAM to detect device RAM ranges in 2nd kernel")
> >   a127bc45d3de ("fs/proc/vmcore: factor out freeing a list of vmcore ranges")
> >   98c5f8c3827a ("fs/proc/vmcore: factor out allocating a vmcore range and adding it to a list")
> >   5488433f810c ("fs/proc/vmcore: move vmcore definitions out of kcore.h")
> >   23365031b34f ("fs/proc/vmcore: prefix all pr_* with "vmcore:"")
> >   006f0492f363 ("fs/proc/vmcore: disallow vmcore modifications while the vmcore is open")
> >   26b866c242e5 ("fs/proc/vmcore: replace vmcoredd_mutex by vmcore_mutex")
> >   5c04c6205add ("fs/proc/vmcore: convert vmcore_cb_lock into vmcore_mutex")
> > 
> > These are commits
> > 
> >   9e85e500e8b3 ("s390/kdump: virtio-mem kdump support (CONFIG_PROC_VMCORE_DEVICE_RAM)")
> >   5605b723bbc2 ("virtio-mem: support CONFIG_PROC_VMCORE_DEVICE_RAM")
> >   3a365d7b1a60 ("virtio-mem: remember usable region size")
> >   e4c56e7d625f ("virtio-mem: mark device ready before registering callbacks in kdump mode")
> >   342dc629fe62 ("fs/proc/vmcore: introduce PROC_VMCORE_DEVICE_RAM to detect device RAM ranges in 2nd kernel")
> >   44df29fb6c95 ("fs/proc/vmcore: factor out freeing a list of vmcore ranges")
> >   10a41d9df694 ("fs/proc/vmcore: factor out allocating a vmcore range and adding it to a list")
> >   e8685745122c ("fs/proc/vmcore: move vmcore definitions out of kcore.h")
> >   cfc7a194e459 ("fs/proc/vmcore: prefix all pr_* with "vmcore:"")
> >   19b42b73afa4 ("fs/proc/vmcore: disallow vmcore modifications while the vmcore is open")
> >   527d8662c520 ("fs/proc/vmcore: replace vmcoredd_mutex by vmcore_mutex")
> >   9a775759ac92 ("fs/proc/vmcore: convert vmcore_cb_lock into vmcore_mutex")
> > 
> > in the mm-unstable branch of the mm tree.
> 
> Thanks, I dropped the mm.git copy.

I looked at a wrong tree and thought these were forgotten,
so I put them in mine.
Andrew, good thing I saw your mail before dropping mine ;)
Can I get your ack on the mm things pls?

-- 
MST